<?php
/**
 * Return the default options of the theme
 * 
 * @return  void
 */

function themesflat_customize_default($key) {
	$default = array(
		'social_links'	=> array ("facebook-f" => '#', "twitter" => '#', "google-plus-g" => '#', "instagram" => '#'),
		'show_social_share' => 0,		
		'social_footer' => 0,
		'go_top' => 1,
		'topbar_background_color'	=> '#E3CCA1',
		'topbar_textcolor'	=> '#434E6E',
		'topbar_link_color' => '#434E6E',
		'topbar_link_color_hover' => '#fff',
		'topbar_show' => 0,
		'topbar_phone_number_label' => '',
		'topbar_phone_number' => '',
		'topbar_address_label' => '<i class="janelas-icon-map-location"></i>',
		'topbar_address' => '2072 Pinnickinick Street, WA 98370',
		'topbar_email_label' => '<i class="janelas-icon-mail-eve"></i>',
		'topbar_email' => 'info@example.com',
		'social_topbar' => 1,
		'typography_topbar' => array(
			'family' => 'Rubik',
			'style'  => '500',
			'size'   => '14',
			'line_height'=>'1.5',
			'letter_spacing' => '',
		),
		'topbar_controls' => array('padding-top' => 19,'padding-bottom' => 19),
		'logo_controls' => array('padding-top' => '','padding-bottom' => ''),
		'style_header'	=> 'header-default',	
		'header_backgroundcolor'=>'#fff',
		'header_sticky' => 0,
		'header_search_box' => 0,
		'header_content_right' => '',
		'header_absolute'	=> 0,		
		'header_sidebar_toggler' => 0,
		'header_button_text' => '',
		'header_button_url' => '#',
		'header_info_phone_text' => '',
		'header_info_phone_number' => '',
		'header_cart_icon' => 0,
		'header_wishlist_icon' => 0,
		'show_post_navigator' => 0,
		'show_entry_footer_content'	=> 1,
		'logo_width' => 160,
		'menu_location_primary' => 'primary',
		'site_logo'	=> THEMESFLAT_LINK . 'images/logo.png',
		'site_logo_mobile'	=> THEMESFLAT_LINK . 'images/logo.png',	
		'show_bottom' => 1,		
		'header_backgroundcolor_sticky'=>'#ffffff',		
		'primary_color'=>'#434E6E',
		'secondary_color'=>'#E3CCA1',
		'accent_color'=>'#434E6E',
		'typography_body' => array(
			'family' => 'Rubik',
			'style'  => 'regular',
			'size'   => '16',
			'line_height'=>'1.9',
			'letter_spacing' => '0px',
		),
		'body_text_color'=>'rgba(86,88,114,1)',
		'body_background_color' => '',
		'page_sidebar_layout' => 'fullwidth',
		'content_controls' => array('padding-top' => 120,'padding-bottom' => 110),
		'typography_menu' => array(
			'family' => 'Rubik',
			'style'  => '500',
			'size'   => '18',
			'line_height'=>'90px',
			'letter_spacing' => '0px',
		), 
		'mainnav_color'		=> '#434E6E',
		'mainnav_hover_color'=>'#E3CCA1',
		'mainnav_active_color'=>'#E3CCA1',
		'menu_distance_between' => 10,
		'typography_sub_menu' => array(
			'family' => 'Rubik',
			'style'  => '500',
			'size'   => '18',
			'line_height'=>'24px',
			'letter_spacing' => '0px',
		),
		'sub_nav_color'		=>'#434E6E',		
		'sub_nav_color_hover'	=>	'#E3CCA1',
		'sub_nav_background'=>'#ffffff',
		'sub_nav_background_hover'=>'rgba(255, 255, 255, 0)',
		'sub_nav_border_color' => '#E8E8E8',
		'typography_headings'	=> array(
			'family' => 'Rubik',
			'style'  => '700',
			'line_height'=>'1.235',
			'letter_spacing' => '0px'		
		),
		'h1_size' => 50,
		'h2_size' => 32,
		'h3_size' => 28,
		'h4_size' => 24,
		'h5_size' => 20,
		'h6_size' => 16,
		'typography_blockquote' => array(
			'family' => 'Rubik',
			'style'  => '400',
			'size'   => '16',
			'line_height'=>'30px',
			'letter_spacing' => '0px',
		),	
		'typography_blog_post_title' => array(
			'family' => 'Rajdhani',
			'style'  => '700',
			'size'   => '28',
			'line_height'=>'1.429',
			'letter_spacing' => '-0.57px',
		),
		'typography_blog_post_meta' => array(
			'family' => 'Rubik',
			'style'  => '400',
			'size'   => '12',
			'line_height'=>'1.5',
			'letter_spacing' => '0px',
		),
		'typography_blog_post_buttons' => array(
			'family' => 'Rubik',
			'style'  => '500',
			'size'   => '14',
			'line_height'=>'1',
			'letter_spacing' => '0px',
		),
		'typography_blog_single_title' => array(
			'family' => 'Rajdhani',
			'style'  => '700',
			'size'   => '37',
			'line_height'=>'1.270',
			'letter_spacing' => '-0.5px',
		),
		'typography_blog_single_comment_title' => array(
			'family' => 'Rajdhani',
			'style'  => '700',
			'size'   => '37',
			'line_height'=>'1.270',
			'letter_spacing' => '-0.7px',
		),
		'typography_sidebar_widget_title' => array(
			'family' => 'Rajdhani',
			'style'  => '700',
			'size'   => '28',
			'line_height'=>'1.071',
			'letter_spacing' => '0px',
		),	
		'typography_footer_widget_title' => array(
			'family' => 'Rubik',
			'style'  => '700',
			'size'   => '20',
			'line_height'=>'1.5',
			'letter_spacing' => '0px',
		),	
		'typography_page_title'	=> array(
			'family' => 'Rajdhani',
			'style'  => '700',
			'size'   => '65',
			'line_height'=>'1.0769',
			'letter_spacing' => '0',
		),
		'page_title_background_color' => '#434E6E',
		'page_title_background_color_opacity' => '90',
		'page_title_text_color' => 'rgba(255,255,255,1)',		
		'page_title_controls' => array('padding-top' => 125, 'padding-bottom' => 125),
		'page_title_background_image' => THEMESFLAT_LINK . '',
		'page_title_image_size' => 'cover',
		'page_title_heading_enabled' => 1,
		'typography_breadcrumb'	=> array(
			'family' => 'Rubik',
			'style'  => '400',
			'size'   => '18',
			'line_height'=>'1.5',
			'letter_spacing' => '0px',
		),
		'bread_crumb_prefix' =>'',
		'breadcrumb_separator' =>  wp_kses( '|', themesflat_kses_allowed_html() ),
		'breadcrumb_color' => 'rgba(255,255,255,1)',
		'typography_buttons' => array(
			'family' => 'Rubik',
			'style'  => '500',
			'size'   => '15',
			'line_height'=>'1',
			'letter_spacing' => '0px',
		),
		'typography_pagination'	=> array(
			'family' => 'Rubik',
			'style'  => '400',
			'size'   => '20',
			'line_height'=>'1',
			'letter_spacing' => '0px',
		),		
		'typography_bottom_menu' => array(
			'family' => 'Rubik',
			'style'  => '400',
			'size'   => '16',
			'line_height'=>'1.5',
			'letter_spacing' => '0px',
		),
		'breadcrumb_enabled' => 1,
		'breadcrum_home' => 'Home',
		'breadcrum_services' => 'Services',
		'breadcrum_project' => 'Project',
		'show_post_paginator' => 0,
		'blog_grid_columns' => 2,
		'post_content_elements' => 'meta,title,readmore',
		'meta_elements' => 'author,date,category',
		'blog_archive_exclude' => '',
		'blog_featured_title' => '',
		'sidebar_layout' => 'sidebar-right',
		'blog_archive_layout' => 'blog-list',
		'related_post_style'	=> 'blog-grid',
		'grid_columns_post_related' => 2,
		'number_related_post' => 2,
		'blog_sidebar_list'		  => 'blog-sidebar',	
		'blog_archive_readmore' => 1,
		'blog_archive_post_excepts_length' => 33,
		'blog_archive_readmore_text' => '<i class="fas fa-arrow-alt-circle-right"></i> READ MORE',
		'blog_archive_pagination_style' => 'pager-numeric',
		'blog_posts_per_page'	=> 3,
		'blog_order_by'	=> 'date',
		'blog_order_direction' => 'DESC',
		'page_sidebar_list'	=> 'blog-sidebar',	
		'portfolio_slug' => 'portfolios',
		'portfolio_name' => 'Portfolios',
		'portfolio_show_filter' => 0,
		'portfolio_grid_columns' => 3,
		'portfolios_number_post'=> 9,
		'portfolio_filter_category_order' => '',
		'portfolio_order_by' => 'date',
		'portfolio_order_direction' => 'DESC',
		'portfolio_exclude' => '',
		'portfolios_layout' => 'fullwidth',
		'portfolios_show_post_navigator' => 0,
		'portfolios_show_related' => 0,
		'portfolios_related_grid_columns' => 3,
		'portfolios_sidebar_list' => 'blog-sidebar',
		'number_related_post_portfolios' => 3,
		'portfolios_featured_title' => 'Portfolio Details',
		'project_slug' => 'project',
		'project_name' => 'Project',
		'project_show_filter' => 1,
		'project_grid_columns' => 3,
		'project_number_post'=> 9,
		'project_filter_category_order' => '',
		'project_order_by' => 'date',
		'project_order_direction' => 'DESC',
		'project_exclude' => '',
		'project_layout' => 'fullwidth',
		'project_show_post_navigator' => 0,
		'project_show_related' => 1,
		'project_related_grid_columns' => 3,
		'project_sidebar_list' => 'blog-sidebar',
		'project_featured_title' => 'Project Details',
		'project_related_carousel' => 1,
		'number_related_post_project' => 3,
		'project_related_carousel_columns' => 3,
		'project_related_carousel_columns_tablet' => 2,
		'project_related_carousel_columns_mobile' => 1,
		'services_slug' => 'services',
		'services_name' => 'Services',
		'services_show_filter' => 0,
		'services_grid_columns' => 2,
		'services_number_post'=> 6,
		'services_archive_pagination_style' => 'pager-numeric',
		'services_filter_category_order' => '',
		'services_order_by' => 'date',
		'services_order_direction' => 'DESC',
		'services_exclude' => '',
		'services_layout' => 'sidebar-left',
		'services_sidebar_list' => 'themesflat-custom-sidebar-servicessidebar',
		'services_show_post_navigator' => 0,
		'services_show_related' => 0,
		'services_related_grid_columns' => 3,
		'number_related_post_services' => 3,
		'services_featured_title' => 'Service Details',
		'typography_footer' => array(
			'family' => 'Rubik',
			'style'  => '400',
			'size'   => '16',
			'line_height'=>'1.5',
			'letter_spacing' => '',
		),
		'footer_background_color'	=> '#434E6E',
		'footer_title_widget_color' => '#ffffff',
		'footer_text_color'			=> '#fff',
		'footer_text_color_hover'   => '#E3CCA1',
		'footer_widget_areas' => 5,
		'footer_controls' => array('padding-top' => 93, 'padding-bottom' => 28),
		'footer1' => 'footer-1',
		'footer2' => 'footer-2',
		'footer3' => 'footer-3',
		'footer4' => 'footer-4',
		'footer_background_image' => THEMESFLAT_LINK . '',
		'footer_image_size' => 'auto',
		'typography_bottom_copyright' => array(
			'family' => 'Rubik',
			'style'  => '400',
			'size'   => '16',
			'line_height'=>'1.5',
			'letter_spacing' => '',
		),
		'bottom_background_color'	=> '',
		'bottom_text_color'			=> '#ffffff',
		'bottom_link_color'         => '#ffffff',
		'bottom_text_color_hover'   => '#E3CCA1',		
		'layout_version'			=> 'wide',		
		'footer_copyright'			=> '© <a class="copyright-bottom" href="https://themeforest.net/user/themesflat/portfolio">Themesflat</a> 2022 | all rights reserved',
		'enable_smooth_scroll'	=> 0,
		'enable_preload' => 1,
		'preload' => 'preload-6',
		'page_title_styles' => 'default',
		'page_title_alignment' => 'center',
		'page_title_video_url' => '',		
		'show_action_box'	=> 0,
		'heading_action_box'	=>	'',
		'text_action_box'	=>	'',
        'text_button_action_box'	=> 'Read More',
        'action_box_background_image' => '',
        'action_box_background_color' => 'rgba(29, 42, 55, 0.9)',
        'action_box_heading_color' => '#ffffff',
        'action_box_text_color'	=> '#ffffff',
        'action_box_button_text_color' => '#ffffff',
        'action_box_button_background_color' => '#eb6d2f',
        'show_partner'	=> 0,
		'img_partner' => '',
		'show_number_img_partner_desktop' => 6,
		'show_number_img_partner_tablet' => 4,
		'show_number_img_partner_mobile' => 2,
		'gap_img_partner' => 30,
		'partner_box_controls' => array('padding-top' => 67,'padding-bottom' => 106),
		'partner_box_background_color' => '#fff',
        'show_footer_info'	=> 0,
        'footer_info_text_address' => 'Our Address',
        'footer_info_address' => 'Drive Chicago, IL 60607',
        'footer_info_text_phone' => 'Call Us',
        'footer_info_phone' => '360-779-2228',
        'footer_info_text_mail' => 'Our Mail',
        'footer_info_mail' => 'yourname@mail.com',
        //Woo
        'shop_products_per_page' => 9,
        'shop_columns' => 3,
        'shop_layout' => 'sidebar-right',
        'shop_layout_single' => 'fullwidth',
        'related_products' => 0,
        'related_products_columns' => 4,
        'product_featured_title' => '',
        'product_style' => 'product-style1'
	);
	return $default[$key];
}